import React, { ReactNode } from 'react';
import { CHARACTER_MATCHING, STRING_MATCHING } from '../const';
import { ContextType } from '../types';
/**
 * InternalContext manages internal states between the components
 * without exposing methods to global states
 */
interface InternalContextInitialStateType {
    isPopoverExpanded: boolean;
    listItemActiveIndex: number;
    updateInternalContext: any;
    /**
     * Need for popover list active index keydown
     */
    dataLength: number;
    /**
     * Need while rendering highlighted words
     */
    matchingAlgorithm?: typeof CHARACTER_MATCHING | typeof STRING_MATCHING;
}
export declare const InternalContext: React.Context<InternalContextInitialStateType>;
declare type D = (values: ContextType) => JSX.Element;
interface WrapperProps {
    children: D | any;
    isFunction: boolean;
}
export declare const Wrapper: React.ForwardRefExoticComponent<Pick<WrapperProps, "children"> & React.RefAttributes<HTMLDivElement>>;
export interface PopOverListProps extends React.OlHTMLAttributes<HTMLUListElement> {
    children: ReactNode;
}
export declare const PopOverList: React.ForwardRefExoticComponent<PopOverListProps & React.RefAttributes<HTMLUListElement>>;
export interface PopOverOptionProps extends React.LiHTMLAttributes<HTMLLIElement> {
    children: ReactNode;
    optionIndex: number;
}
export declare const PopOverOption: React.FC<PopOverOptionProps>;
export interface PopOverOptionTextProps extends React.HTMLAttributes<HTMLParagraphElement> {
    className?: string;
    value: string;
    as: string;
}
export declare const PopOverOptionText: React.FC<PopOverOptionTextProps>;
export {};
